DESCRIPTION = "Tuxbox common files"
LICENSE = "GPL"
MAINTAINER = "Felix Domke <tmbinc@elitdvb.net>"

#PN = "tuxbox-common"
PN = "tuxbox-common2"
PR = "r8"
SRCDATE = "20070923"
PV = "cvs${SRCDATE}"

SRC_URI = "cvs://anoncvs@cvs.tuxbox.org/cvs/tuxbox/;module=cdk/root/share/tuxbox;method=ext;tag=dreambox;date=${SRCDATE} \
	http://dreamboxupdate.com/download/opendreambox/tuxbox-common-${PR}.tar.gz"

FILES_${PN} = "/"

S = "${WORKDIR}/tuxbox-common-${PR}"

do_install() {

	install -d ${D}/etc/init.d
	install -d ${D}/etc/rcS.d
	install -d ${D}/etc/tuxbox/
	install -m 0644 ${S}/scart.conf ${D}/etc/tuxbox/scart.conf
	install -m 0644 ${WORKDIR}/tuxbox/satellites.xml ${D}/etc/tuxbox/satellites.xml
	install -m 0644 ${S}/cables.xml ${D}/etc/tuxbox/cables.xml
	install -m 0644 ${WORKDIR}/tuxbox/terrestrial.xml ${D}/etc/tuxbox/terrestrial.xml
	install -m 0644 ${S}/timezone.xml ${D}/etc/tuxbox/timezone.xml

	ln -sf /etc/tuxbox/timezone.xml ${D}/etc/

	install -d ${D}/usr/share/tuxbox

	ln -sf /usr/share ${D}/share

# addition
	cat <<EOF >> ${D}/etc/init.d/tuxbox-links.sh
#! /bin/sh
if [ ! -e /usr/bin/enigma.sh ]; then
  ln -s /usr/bin/enigma2.sh /usr/bin/enigma.sh
fi
mount /dev/ide/host0/bus0/target0/lun0/part1 /media/hdd
echo inputdev > /proc/stb/ir/rc/interface
EOF
	ln -sf ../init.d/tuxbox-links.sh ${D}/etc/rcS.d/S80tuxbox-links.sh
	chmod a+x ${D}/etc/init.d/tuxbox-links.sh
# /addition

	for i in satellites.xml cables.xml terrestrial.xml; do
		ln -sf /etc/tuxbox/$i ${D}/etc/;
		ln -sf /etc/tuxbox/$i ${D}/usr/share/;
		ln -sf /etc/tuxbox/$i ${D}/usr/share/tuxbox/;
	done;
}
